---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libsp03t001.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0xF5C, symBinAddr: 0x29AC, symSize: 0x274 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x4EC8C, symBinAddr: 0xC0AC, symSize: 0x0 }
  - { offsetInCU: 0xA4, offset: 0xA4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x38A8, symSize: 0x270 }
  - { offsetInCU: 0xB00, offset: 0xB00, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F058, symBinAddr: 0xC360, symSize: 0x0 }
  - { offsetInCU: 0xB27, offset: 0xB27, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x50F98, symBinAddr: 0xE2A0, symSize: 0x0 }
  - { offsetInCU: 0xB49, offset: 0xB49, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51380, symBinAddr: 0xE688, symSize: 0x0 }
  - { offsetInCU: 0xB6B, offset: 0xB6B, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52320, symBinAddr: 0xF628, symSize: 0x0 }
  - { offsetInCU: 0xB80, offset: 0xB80, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52328, symBinAddr: 0xF630, symSize: 0x0 }
  - { offsetInCU: 0xBFB, offset: 0xBFB, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4EC80, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC06, offset: 0xC06, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4EC84, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xC11, offset: 0xC11, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4EC88, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC56, offset: 0xC56, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4EDD8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0xCCF, offset: 0xCCF, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4EE90, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0xCED, offset: 0xCED, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4EE94, symBinAddr: 0xC294, symSize: 0x0 }
  - { offsetInCU: 0xD06, offset: 0xD06, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4EE98, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0xD1F, offset: 0xD1F, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4EE9C, symBinAddr: 0xC29C, symSize: 0x0 }
  - { offsetInCU: 0xD38, offset: 0xD38, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4EEA0, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0x92FE, offset: 0x92FE, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4EEA8, symBinAddr: 0xC2A8, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4EEB8, symBinAddr: 0xC2B8, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4EEC0, symBinAddr: 0xC2C0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4EEC8, symBinAddr: 0xC2C8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4EED0, symBinAddr: 0xC2D0, symSize: 0x0 }
  - { offsetInCU: 0x93EB, offset: 0x93EB, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4EED8, symBinAddr: 0xC2D8, symSize: 0x0 }
  - { offsetInCU: 0x9405, offset: 0x9405, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4EEE0, symBinAddr: 0xC2E0, symSize: 0x0 }
  - { offsetInCU: 0x94EC, offset: 0x94EC, size: 0x8, addend: 0x0, symName: __ZL19testedThreadRunning, symObjAddr: 0x4EF24, symBinAddr: 0xC2EC, symSize: 0x0 }
  - { offsetInCU: 0x9506, offset: 0x9506, size: 0x8, addend: 0x0, symName: __ZL24testedThreadShouldFinish, symObjAddr: 0x4EF28, symBinAddr: 0xC2F0, symSize: 0x0 }
  - { offsetInCU: 0x951F, offset: 0x951F, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4EF30, symBinAddr: 0xC2F8, symSize: 0x0 }
  - { offsetInCU: 0x9538, offset: 0x9538, size: 0x8, addend: 0x0, symName: __ZL12threadsCount, symObjAddr: 0x4EF38, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x9551, offset: 0x9551, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4EF40, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x956A, offset: 0x956A, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x4EF80, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x9583, offset: 0x9583, size: 0x8, addend: 0x0, symName: __ZL13threadsCounts, symObjAddr: 0x4EF88, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0x95A8, offset: 0x95A8, size: 0x8, addend: 0x0, symName: __ZL11threadsList, symObjAddr: 0x4EFA0, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0x95CD, offset: 0x95CD, size: 0x8, addend: 0x0, symName: __ZL11threadsName, symObjAddr: 0xE210, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x9655, offset: 0x9655, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x251C, symSize: 0xA0 }
  - { offsetInCU: 0x96EA, offset: 0x96EA, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x24F4, symSize: 0x28 }
  - { offsetInCU: 0x974D, offset: 0x974D, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x2474, symSize: 0x80 }
  - { offsetInCU: 0x99E1, offset: 0x99E1, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x25BC, symSize: 0x34 }
  - { offsetInCU: 0x9A3B, offset: 0x9A3B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x25F0, symSize: 0x20C }
  - { offsetInCU: 0x9BF4, offset: 0x9BF4, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x27FC, symSize: 0x28 }
  - { offsetInCU: 0x9CBD, offset: 0x9CBD, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x2824, symSize: 0xB0 }
  - { offsetInCU: 0x9DB4, offset: 0x9DB4, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x28D4, symSize: 0xD8 }
  - { offsetInCU: 0x9F05, offset: 0x9F05, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x2C20, symSize: 0x24 }
  - { offsetInCU: 0xA034, offset: 0xA034, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x2C44, symSize: 0x168 }
  - { offsetInCU: 0xA210, offset: 0xA210, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x2DAC, symSize: 0x104 }
  - { offsetInCU: 0xA4C1, offset: 0xA4C1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x2EB0, symSize: 0x3F8 }
  - { offsetInCU: 0xA70B, offset: 0xA70B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2144, symBinAddr: 0x32A8, symSize: 0xDC }
  - { offsetInCU: 0xA7A9, offset: 0xA7A9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x3384, symSize: 0x154 }
  - { offsetInCU: 0xA98D, offset: 0xA98D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x34D8, symSize: 0xAC }
  - { offsetInCU: 0xAA8E, offset: 0xAA8E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3584, symSize: 0x14 }
  - { offsetInCU: 0xAAC7, offset: 0xAAC7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3598, symSize: 0x14 }
  - { offsetInCU: 0xAB00, offset: 0xAB00, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x35AC, symSize: 0x14 }
  - { offsetInCU: 0xAC7D, offset: 0xAC7D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x35C0, symSize: 0x1A8 }
  - { offsetInCU: 0xAF87, offset: 0xAF87, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3768, symSize: 0x140 }
  - { offsetInCU: 0xB128, offset: 0xB128, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x3B18, symSize: 0x1C0 }
  - { offsetInCU: 0xB405, offset: 0xB405, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x3CD8, symSize: 0x9C }
  - { offsetInCU: 0xB4C2, offset: 0xB4C2, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x3D74, symSize: 0x690 }
  - { offsetInCU: 0xC054, offset: 0xC054, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9B9C, symBinAddr: 0x59DC, symSize: 0x30 }
  - { offsetInCU: 0xC0E0, offset: 0xC0E0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4404, symSize: 0x74 }
  - { offsetInCU: 0xC190, offset: 0xC190, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4478, symSize: 0xB0 }
  - { offsetInCU: 0xC26F, offset: 0xC26F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4528, symSize: 0x3C }
  - { offsetInCU: 0xC365, offset: 0xC365, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x4564, symSize: 0x29C }
  - { offsetInCU: 0xC6A8, offset: 0xC6A8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x4800, symSize: 0xD0 }
  - { offsetInCU: 0xC7D6, offset: 0xC7D6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x48D0, symSize: 0xC }
  - { offsetInCU: 0xC898, offset: 0xC898, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x48DC, symSize: 0x22C }
  - { offsetInCU: 0xCB53, offset: 0xCB53, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4B08, symSize: 0x4 }
  - { offsetInCU: 0xCB97, offset: 0xCB97, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4B08, symSize: 0x4 }
  - { offsetInCU: 0xCBB0, offset: 0xCBB0, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x4B0C, symSize: 0x258 }
  - { offsetInCU: 0xCE65, offset: 0xCE65, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F24, symBinAddr: 0x4D64, symSize: 0x4 }
  - { offsetInCU: 0xCEA9, offset: 0xCEA9, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F24, symBinAddr: 0x4D64, symSize: 0x4 }
  - { offsetInCU: 0xCEC2, offset: 0xCEC2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP03_sp03t001ThreadRunningNative_nativeMethod, symObjAddr: 0x8F28, symBinAddr: 0x4D68, symSize: 0x6C }
  - { offsetInCU: 0xCF32, offset: 0xCF32, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP03_sp03t001ThreadRunningNative_checkReady, symObjAddr: 0x8F94, symBinAddr: 0x4DD4, symSize: 0x40 }
  - { offsetInCU: 0xCFBE, offset: 0xCFBE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP03_sp03t001ThreadRunningNative_letFinish, symObjAddr: 0x8FD4, symBinAddr: 0x4E14, symSize: 0x10 }
  - { offsetInCU: 0xD07E, offset: 0xD07E, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x8FE4, symBinAddr: 0x4E24, symSize: 0xBB8 }
  - { offsetInCU: 0xD8D9, offset: 0xD8D9, size: 0x8, addend: 0x0, symName: __ZL12checkThreadsiPKcl, symObjAddr: 0x9F24, symBinAddr: 0x5D64, symSize: 0x1E8 }
  - { offsetInCU: 0xDA83, offset: 0xDA83, size: 0x8, addend: 0x0, symName: __ZL18suspendThreadsListi, symObjAddr: 0xA10C, symBinAddr: 0x5F4C, symSize: 0x2F4 }
  - { offsetInCU: 0xDD8B, offset: 0xDD8B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9BCC, symBinAddr: 0x5A0C, symSize: 0x358 }
...
